/* BLOCK: App Slider */
.block-app-slider .main-wrapper {
    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap: 1.25rem;
}

.block-app-slider .main-wrapper .text-wrapper,
.block-app-slider .main-wrapper .slider-wrapper {
    padding: 3.125rem;
    border-radius: 1.5625rem;
    max-width: 100%;
}

.block-app-slider .main-wrapper .text-wrapper {
    display: flex;
    flex-direction: column;
}

.block-app-slider .main-wrapper .text-wrapper .h7 {
    color: var(--c-tertiary);
    font-weight: 600;
    margin-bottom: 2.5rem;
}

.block-app-slider .main-wrapper .text-wrapper h3 {
    margin-bottom: 3.125rem;
    font-size: var(--font-58-28);
}

.block-app-slider .main-wrapper .app-buttons {
    display: flex;
    align-items: center;
    gap: 0.9375rem;
    margin-top: auto;
}

.block-app-slider .main-wrapper .app-buttons img {
    height: 3rem;
    width: auto;
}

.block-app-slider .swiper-pagination {
    position: static;
    display: flex;
    gap: 1.25rem;
}

.block-app-slider .swiper-pagination-bullet {
    flex-basis: 100%;
    display: flex;
    flex-direction: column;
    gap: 0.9375rem;
    text-align: center;
    margin: 0;
    width: auto;
    height: auto;
    border-radius: unset;
    background: none;
    opacity: 1;
}

.block-app-slider .swiper-pagination-bullet .label {
    color: var(--c-bg-dark-tint-2);
}

.block-app-slider .swiper-pagination-bullet-active .label {
    color: var(--c-primary);
}

.block-app-slider .swiper-pagination-bullet .indicator {
    width: 100%;
    height: 0.1875rem;
    overflow: clip;
    background-color: var(--c-text-light);
    border-radius: 0.1875rem;
    transition: width 300ms ease-out;
}

.block-app-slider .swiper-pagination-bullet .indicator::before {
    content: '';
    display: block;
    width: 100%;
    height: 100%;
    transform: translateX(-100%);
    background-color: var(--c-primary);
    border-radius: var(--swiper-pagination-bullet-border-radius);
}

.block-app-slider .swiper-pagination-bullet-active .indicator::before {
    animation: linear 7s forwards grow;
}

@keyframes grow {
    0% {
        transform: translateX(-100%);
    }
    100% {
        transform: translateX(0);
    }
}

.block-app-slider .slider-wrapper .swiper-wrapper {
    height: auto;
}

.block-app-slider .slider-wrapper .swiper-slide {
    height: auto;
    display: flex;
    flex-direction: column;
    gap: 2.5rem;
}

.block-app-slider .slide__description {
    margin-block: 1.875rem 0;
    font-size: var(--font-17-14);
    text-align: center;
}

.block-app-slider .slide__image {
    margin: auto auto -3.125rem;
    width: 70%;
    aspect-ratio: 0.88;
    object-fit: cover;
    object-position: top center;
    filter: drop-shadow(0rem 0.75rem 1.875rem rgb(from var(--c-text-dark) r g b / .5));
}

@media screen and (width <= 620px) {
    .block-app-slider .main-wrapper {
        grid-template-columns: 1fr;
        gap: 0.75rem;
    }
    .block-app-slider .main-wrapper .text-wrapper {
        padding: 1.5625rem;
        border-radius: 1.125rem;
    }
    .block-app-slider .main-wrapper .text-wrapper {
        align-items: center;
    }

    .block-app-slider .main-wrapper .text-wrapper .text-content {
        display: flex;
        align-items: center;
        flex-direction: column;
        text-align: center;
    }
    .block-app-slider .main-wrapper .text-wrapper h3 {
        margin-bottom: 1.875rem;
    }
    .block-app-slider .main-wrapper .app-buttons {
        margin-top: 3.125rem;
    }
    .block-app-slider .main-wrapper .app-buttons img {
        height: 2.25rem;
    }
    .block-app-slider .slide__image {
        margin-bottom: 0;
        width: 75%;
    }

    .block-app-slider .main-wrapper .slider-wrapper {
        padding:0;
        border-radius: 1.125rem;
    }
    .block-app-slider .swiper-pagination {
        padding: 1.5625rem 1.5625rem 0;
        gap: 0.5rem;
    }
    .block-app-slider .slide__description {
        padding: 0 1.5625rem;
    }
}

